Bug 85439 - Add dpi to css3-images image-resolution
Summary: Add dpi to css3-images image-resolution
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Barr
URL: http://www.w3.org/TR/2012/CR-css3-ima...
Keywords:
Depends on: 85332
Blocks: 85262 85442
  Show dependency treegraph
 
Reported: 2012-05-02 17:39 PDT by David Barr
Modified: 2012-06-13 06:04 PDT (History)
7 users (show)

See Also:


Attachments
Patch (7.89 KB, patch)
2012-05-02 18:03 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch (9.07 KB, patch)
2012-05-23 23:20 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch (8.86 KB, patch)
2012-05-30 17:41 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch (11.79 KB, patch)
2012-06-12 03:55 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch for landing (11.80 KB, patch)
2012-06-12 19:19 PDT, David Barr
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Barr 2012-05-02 17:39:49 PDT
The css3-images module is at candidate recommendation.
http://www.w3.org/TR/2012/CR-css3-images-20120417/#image-resolution

I propose to introduce image-resolution, initially behind a runtime feature flag.

Advertised on webkit-dev:
http://thread.gmane.org/gmane.os.opendarwin.webkit.devel/20505

As a second step, add support for dpi values.
Comment 1 David Barr 2012-05-02 18:03:11 PDT
Created attachment 139928 [details]
Patch
Comment 2 David Barr 2012-05-23 23:20:31 PDT
Created attachment 143741 [details]
Patch

Updated ref-test.
Comment 3 David Barr 2012-05-30 17:41:20 PDT
Created attachment 144955 [details]
Patch

Updated patch to use compile time flag.
Comment 4 David Barr 2012-06-12 03:55:02 PDT
Created attachment 147047 [details]
Patch

Rebased against r119984: <http://trac.webkit.org/changeset/119984>
Comment 5 David Barr 2012-06-12 04:16:11 PDT
Ojan, Tony: I've updated this patch to reflect how the DPPX patch was adapted for landing.
Comment 6 Tony Chang 2012-06-12 10:59:45 PDT
Comment on attachment 147047 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=147047&action=review

> LayoutTests/fast/css/image-resolution/image-resolution.html:64
> +var resolutions = ['0dppx', '1dppx', '2dppx', '3dppx', '4dppx',
> +                   '0dpi', '96dpi', '192dpi', '288dpi', '384dpi',
> +                   '150dpi', '300dpi', '450dpi', '600dpi', ''];

Should we test some fractional values?  What about negative numbers?
Comment 7 David Barr 2012-06-12 17:02:14 PDT
I'll include tests for fractional values when I add dpcm support.
I'm thinking of adding a test just for invalid values once the units have landed.
Comment 8 David Barr 2012-06-12 18:36:11 PDT
Comment on attachment 147047 [details]
Patch

Clearing cq, as there is a conflicting patch in the queue. Will rebase when it lands.
Comment 9 David Barr 2012-06-12 19:19:25 PDT
Created attachment 147213 [details]
Patch for landing

Rebased against the pending patch for CSS variables: https://bugs.webkit.org/show_bug.cgi?id=85580
Comment 10 David Barr 2012-06-12 20:40:27 PDT
Comment on attachment 147213 [details]
Patch for landing

CSS variables has landed, so we are good to go! r120154: <http://trac.webkit.org/changeset/120154>
Comment 11 WebKit Review Bot 2012-06-13 06:04:38 PDT
Comment on attachment 147213 [details]
Patch for landing

Clearing flags on attachment: 147213

Committed r120194: <http://trac.webkit.org/changeset/120194>
Comment 12 WebKit Review Bot 2012-06-13 06:04:44 PDT
All reviewed patches have been landed.  Closing bug.